part of xwidgetbase;

class XCheckBoxWidget extends StatelessWidget {
  late final String label;
  final Color? label_Color;
  late final bool value;
  final Function(bool?)? onChanged;
  late final bool verticalCheckBoxWidget;
  final Function()? onTap;
  final TextStyle? label_Style;
  final Color? checkColor;
  final Color? activeColor;
  final bool? label_OnBottom;
  XCheckBoxWidget({
    this.label = "",
    this.label_Color,
    this.label_Style,
    this.checkColor,
    this.activeColor,
    this.value = false,
    this.onChanged,
    this.verticalCheckBoxWidget = false,
    this.onTap,
    this.label_OnBottom = false,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      child: verticalCheckBoxWidget == false
          ? Row(mainAxisAlignment: MainAxisAlignment.center, children: [
              GestureDetector(onTap: onTap, child: Text(label, textAlign: TextAlign.center, style: label_Style ?? TextStyle(color: label_Color ?? XColors.foregroundLight))),
              Container(width: 30, height: 30, child: Checkbox(fillColor: MaterialStateProperty.all(XColors.foregroundLight), value: value, checkColor: checkColor ?? XColors.backgroundDark, onChanged: onChanged)),
            ])
          : Column(
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                label_OnBottom == false
                    ? Row(mainAxisAlignment: MainAxisAlignment.center, children: [
                        GestureDetector(onTap: onTap, child: Text(label, textAlign: TextAlign.center, style: label_Style ?? TextStyle(color: label_Color ?? XColors.foregroundLight))),
                      ])
                    : Container(height: 1),
                Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    Container(
                        width: 30,
                        height: 30,
                        child: Checkbox(
                          checkColor: checkColor,
                          activeColor: activeColor,
                          value: value,
                          onChanged: onChanged,
                        ))
                  ],
                ),
                label_OnBottom == true
                    ? Row(mainAxisAlignment: MainAxisAlignment.center, children: [
                        GestureDetector(onTap: onTap, child: Text(label, textAlign: TextAlign.center, style: label_Style ?? TextStyle(color: label_Color ?? XColors.foregroundLight))),
                      ])
                    : Container(height: 1),
              ],
            ),
    );
  }
}
