part of xwidgetbase;

class XBtnReloader extends StatelessWidget {
  final Function()? onPressed;
  final IconData? icon;
  final Color? color;
  final double? height;
  XBtnReloader({
    this.onPressed,
    this.icon,
    this.color,
    this.height,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 50,
      height: height ?? 50,
      child: XBtnbase(
        icon_Size: 30,
        decoration: BoxDecoration(color: color ?? Colors.blue, borderRadius: BorderRadius.all(Radius.circular(10))),
        icon_Color: Colors.white,
        onPressed: onPressed,
        icon: icon ?? Icons.replay_outlined,
      ),
    );
  }
}
