part of xwidgetbase;

class XDDGeneric extends StatefulWidget {
  XDDGeneric({
    Key? key,
    this.backGroundColor,
    this.menu_backGroundColor,
    this.items_backGroundColor,
    this.items_Height,
    this.filterItems,
    this.filterValue,
    this.onChangeDD,
    this.hintText,
    this.padding,
    this.items_TextColor,
  }) : super(key: key);
  String? filterValue;
  List<String>? filterItems;
  String? hintText;
  Function(Object?)? onChangeDD;
  Color? backGroundColor;
  EdgeInsets? padding;
  Color? menu_backGroundColor;
  Color? items_backGroundColor;
  double? items_Height;
  Color? items_TextColor;
  @override
  _XDDGenericState createState() => _XDDGenericState();
}

class _XDDGenericState extends State<XDDGeneric> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Row(children: [
      Expanded(
          child: Container(
              child: DropdownButtonHideUnderline(
                  child: GFDropdown(
                      itemHeight: widget.items_Height ?? 50,
                      hint: Text(widget.hintText ?? "inserisci"),
                      elevation: 8,
                      padding: widget.padding ?? EdgeInsets.all(5),
                      border: BorderSide(color: Colors.black12, width: 1),
                      dropdownButtonColor: widget.backGroundColor ?? Colors.white,
                      style: XStyles.xStyTextForTextBase(),
                      iconDisabledColor: XColors.foregroundDark,
                      iconEnabledColor: XColors.foregroundDark,
                      dropdownColor: widget.menu_backGroundColor,
                      isExpanded: true,
                      isDense: true,
                      value: widget.filterValue,
                      onTap: () {},
                      onChanged: widget.onChangeDD!,
                      items: widget.filterItems!
                          .map((value) => DropdownMenuItem(
                              value: value,
                              child: Row(mainAxisAlignment: MainAxisAlignment.center, children: [
                                Expanded(
                                    child: Container(
                                  margin: EdgeInsets.only(top: 3, bottom: 3),
                                  alignment: Alignment.center,
                                  color: widget.items_backGroundColor ?? Colors.grey[600],
                                  child: Text(value, overflow: TextOverflow.ellipsis, style: XStyles.xStyTextForDescr(widget.items_TextColor ?? XColors.foregroundLight)),
                                ))
                              ])))
                          .toList()))))
    ]);
  }
}
