part of xgeneraldecoration;

class XStyles {
  /// cerca su https://fonts.google.com/ e usa il nome del font scelto, case e spazi compresi !
  static String googleFontFamily = "Roboto";
  static TextStyle xStyleText({Color? colorText, double? fontSize, bool? activeBold = false, double? letterSpacing, TextOverflow? overflow}) {
    var res = GoogleFonts.getFont(
      googleFontFamily,
      textStyle: TextStyle(
        color: colorText,
        fontSize: fontSize,
        fontWeight: activeBold == false ? null : FontWeight.bold,
        letterSpacing: letterSpacing ?? 0,
        overflow: overflow,
      ),
    );
    return res;
  }

  static double? sizeFor_Title = 22;
  // static double? sizeFor_Title = 22;
  // static double? sizeFor_Title = 22;
  // static double? sizeFor_Title = 22;
  // static double? sizeFor_Title = 22;

  /// fontSize 40
  static TextStyle xStyTextForVeryLargeTitle([Color? textColor, bool? activeBold = false, double? letterSpacing, TextOverflow? overflow]) {
    return xStyleText(fontSize: 40, colorText: textColor, activeBold: activeBold, letterSpacing: letterSpacing, overflow: overflow);
  }

  /// fontSize 24
  static TextStyle xStyTextForLargeTitle([Color? textColor, bool? activeBold = false, double? letterSpacing, TextOverflow? overflow]) {
    return xStyleText(fontSize: 24, colorText: textColor, activeBold: activeBold, letterSpacing: letterSpacing, overflow: overflow);
  }

  /// fontSize 22
  static TextStyle xStyTextForTitle([Color? textColor, bool? activeBold = false, double? letterSpacing, TextOverflow? overflow]) {
    return xStyleText(fontSize: sizeFor_Title, colorText: textColor, activeBold: activeBold, letterSpacing: letterSpacing, overflow: overflow);
  }

  /// fontSize 20
  static TextStyle xStyTextForLabel([Color? textColor, bool? activeBold = false, double? letterSpacing, TextOverflow? overflow]) {
    return xStyleText(fontSize: 20, colorText: textColor, activeBold: activeBold, letterSpacing: letterSpacing, overflow: overflow);
  }

  /// fontSize 18
  static TextStyle xStyTextForTextBase([Color? textColor, bool? activeBold = false, double? letterSpacing, TextOverflow? overflow]) {
    return xStyleText(fontSize: 18, colorText: textColor, activeBold: activeBold, letterSpacing: letterSpacing, overflow: overflow);
  }

  /// fontSize 17
  static TextStyle xStyTextForSubLabel([Color? textColor, bool? activeBold = false, double? letterSpacing, TextOverflow? overflow]) {
    return xStyleText(fontSize: 17, colorText: textColor, activeBold: activeBold, letterSpacing: letterSpacing, overflow: overflow);
  }

  /// fontSize 16
  static TextStyle xStyTextForDescr([Color? textColor, bool? activeBold = false, double? letterSpacing, TextOverflow? overflow]) {
    return xStyleText(fontSize: 16, colorText: textColor, activeBold: activeBold, letterSpacing: letterSpacing, overflow: overflow);
  }

  /// fontSize 15
  static TextStyle xStyTextForSubDescr([Color? textColor, bool? activeBold = false, double? letterSpacing, TextOverflow? overflow]) {
    return xStyleText(fontSize: 15, colorText: textColor, activeBold: activeBold, letterSpacing: letterSpacing, overflow: overflow);
  }
}
