part of xwidgetbase;

class XfxElenco extends StatefulWidget {
  XfxElenco({
    Key? key,
    this.title_Text = "",
    this.title_OnTop_Visible = true,
    this.headers_Visible,
    this.filters_Visible = true,
    this.heightForHeader,
    this.headers,
    this.filters,
    this.numberOfHeader,
    this.list,
    this.flexForList,
    this.colorBackgroundContainerElTitle,
    this.heightContainerElTitle,
    this.title_Style,
    this.BTNtitle_Label,
    this.BTNtitle_Color,
    this.BTNtitle_OnPressed,
    this.BTNtitle_Height,
    this.BTNtitle_Width,
    this.BTNtitle_Visible = false,
    this.BTNtitle_Margin,
    this.margin_Horizontal,
    this.onRefresh_ScrollDownList,
  }) : super(key: key);
  final double? margin_Horizontal;
  final Future<void> Function()? onRefresh_ScrollDownList;
  final bool title_OnTop_Visible;
  final bool? headers_Visible;
  final bool? filters_Visible;
  final double? heightForHeader;
  final List<Widget>? list;
  final List<Widget>? headers;
  final List<Widget>? filters;
  final int? numberOfHeader;
  final int? flexForList;
  final Color? colorBackgroundContainerElTitle;
  final double? heightContainerElTitle;
  final String title_Text;
  final TextStyle? title_Style;
  final String? BTNtitle_Label;
  final Color? BTNtitle_Color;
  final Function()? BTNtitle_OnPressed;
  final double? BTNtitle_Height;
  final double? BTNtitle_Width;
  final bool? BTNtitle_Visible;
  final EdgeInsets? BTNtitle_Margin;

  @override
  _XfxElencoState createState() => _XfxElencoState();
}

class _XfxElencoState extends State<XfxElenco> {
  ScrollController? scroll_controller = ScrollController();
  @override
  Widget build(BuildContext context) {
    return Container(
        margin: EdgeInsets.symmetric(horizontal: widget.margin_Horizontal ?? 15),
        child: Column(children: [
          widget.title_OnTop_Visible == true
              ? Row(
                  children: [
                    Expanded(
                        child: XContainerWithLabel(
                      widget.title_Text,
                      height: widget.heightContainerElTitle ?? 30,
                      color: widget.colorBackgroundContainerElTitle ?? XColors.backGroundTitleContainerForElenco,
                      textStyle: widget.title_Style ?? XStyles.xStyTextForTextBase(XColors.foregroundDark),
                    )),
                    widget.BTNtitle_Visible == true
                        ? Container(
                            margin: widget.BTNtitle_Margin ?? EdgeInsets.only(left: 5),
                            height: widget.BTNtitle_Height ?? 25,
                            width: widget.BTNtitle_Width ?? 70,
                            child: XBtnbase(
                              label: widget.BTNtitle_Label ?? "Add New",
                              onPressed: widget.BTNtitle_OnPressed,
                              decoration: BoxDecoration(color: widget.BTNtitle_Color),
                            ),
                          )
                        : Container(),
                  ],
                )
              : Container(),
          SizedBox(height: widget.headers_Visible == true ? 3 : 0),
          widget.headers_Visible == true ? Row(children: widget.headers!) : Container(),
          SizedBox(height: widget.headers_Visible == true ? 5 : 0),
          widget.filters_Visible == true ? Row(children: widget.filters!) : Container(),
          SizedBox(height: widget.filters_Visible == true ? 5 : 0),
          Expanded(
              flex: widget.flexForList ?? 18,
              child: RefreshIndicator(
                  onRefresh: widget.onRefresh_ScrollDownList ?? () async {},
                  child: Scrollbar(
                      thumbVisibility: true,
                      controller: scroll_controller,
                      child: ListView(
                        children: widget.list!,
                        controller: scroll_controller,
                      ))))
        ]));
  }
}
